# $Revision: 1.27 $, $Date: 2011/08/31 18:30:25 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	Editline Library
Summary(pl.UTF-8):	Biblioteka Editline (edytor linii poleceń)
Name:		libedit
Version:	3.0
%define	snap	20110802
Release:	6
Epoch:		0
License:	BSD
Group:		Libraries
Source0:	http://www.thrysoee.dk/editline/%{name}-%{snap}-%{version}.tar.gz
# Source0-md5:	0ea42e2c794da8ed32f6307b427f6590
Patch0:		%{name}-tinfo.patch
Patch1:		%{name}-man.patch
URL:		http://www.thrysoee.dk/editline/
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Port of the NetBSD Editline library (libedit). This Berkeley-style
licensed command line editor library provides generic line editing,
history, and tokenization functions, similar to those found in GNU
Readline.

%description -l pl.UTF-8
Port biblioteki Editline z NetBSD (libedit). Jest to biblioteka
edytora linii poleceń na licencji w stylu BSD udostępniająca
funkcjonalność ogólnego modyfikowania linii, historii oraz tokenizacji
podobną do obecnych w GNU Readline.

%package devel
Summary:	Header files and development documentation for libedit
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja programisty do libedit
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	ncurses-devel
Conflicts:	heimdal-devel <= 0.6.3-1

%description devel
Header files and development documentation for libedit.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja programisty do libedit.

%package static
Summary:	Static libedit library
Summary(pl.UTF-8):	Statyczna biblioteka libedit
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libedit library.

%description static -l pl.UTF-8
Statyczna biblioteka libedit.

%prep
%setup -q -n %{name}-%{snap}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
LANG=C; export LANG
LC_ALL=C; export LC_ALL
CPPFLAGS="-I/usr/include/ncurses"
%configure \
	--enable-widec \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static}

%{__make} -C src vi.h emacs.h common.h
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog THANKS
%attr(755,root,root) %{_libdir}/libedit.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libedit.so.0
%{_mandir}/man5/editrc.5*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libedit.so
%{_libdir}/libedit.la
%{_includedir}/editline
%{_includedir}/histedit.h
%{_pkgconfigdir}/libedit.pc
%{_mandir}/man3/editline.3*
%{_mandir}/man3/el_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libedit.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libedit.spec,v $
Revision 1.27  2011/08/31 18:30:25  arekm
- release 6

Revision 1.26  2011/08/21 08:55:15  arekm
- up to 20110802

Revision 1.25  2011/08/01 16:28:52  qboosh
- updated autoconf version
- disable silent-rules

Revision 1.24  2011/08/01 11:49:23  baggins
- rel 4, up to 20110709
- enable widechar/UTF-8 support

Revision 1.23  2009/09/29 12:33:04  arekm
- rel 3; up to 20090923

Revision 1.22  2009/09/13 20:06:25  arekm
- up to 20090905

Revision 1.21  2009/08/16 20:16:10  arekm
- up to 3.0 (20090722)

Revision 1.20  2008/08/14 21:31:43  arekm
- up to 2.11

Revision 1.19  2008-06-11 15:48:58  hawk
- release 3

Revision 1.18  2008-06-04 16:53:42  qboosh
- ghost soname symlink

Revision 1.17  2008-06-03 19:13:48  arekm
- up to 20070831

Revision 1.16  2007/02/25 19:01:38  arekm
- up to 2.10 20061228

Revision 1.15  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.13  2005/12/19 19:03:46  qboosh
- unified

Revision 1.12  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.11  2005/09/02 19:37:22  arekm
- up to 20050828

Revision 1.10  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.9  2005/06/15 20:42:31  witekfl
- added bcond_without static_libs

Revision 1.8  2005/05/16 17:03:13  arekm
- up to 20050311

Revision 1.7  2005/05/09 23:36:06  pluto
- release 5 for Th.

Revision 1.6  2005/03/17 11:03:38  hawk
- release 4 (3 for Ra)

Revision 1.5  2005/03/10 21:43:59  qboosh
- grrr, release 2

Revision 1.4  2005/03/10 21:37:37  qboosh
- resolved conflict with heimdal (by fixing heimdal >= 0.6.3-2)
- added tinfo,man patches; -devel R: ncurses-devel

Revision 1.3  2005/03/07 21:32:42  qboosh
- pl, more heimdal notes

Revision 1.2  2005/03/05 21:44:22  arekm
- workaround for heimdal

Revision 1.1  2005/03/05 21:25:39  arekm
- initial pld release
